<?php

namespace Acms\Plugins\ShoppingCart\Entities;

use Acms\Plugins\ShoppingCart\Entities\Master\Status;

/**
 * 追加手数料
 */
class Addition
{
    /**
     * ID
     *
     * @var string
     */
    private $id;

    /**
     * 追加手数料名
     *
     * @var string
     */
    private $name;

    /**
     * 手数料
     *
     * @var int
     */
    private $fee = 0;

    /**
     * ステータス
     *
     * @var string
     */
    private $status = Status::OPEN;

    public function getId(): string
    {
        return $this->id;
    }

    public function setId(string $id): void
    {
        $this->id = $id;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name)
    {
        $this->name = $name;
    }

    public function getFee(): ?int
    {
        return $this->fee;
    }

    public function setFee(int $fee = 0)
    {
        $this->fee = $fee;
    }

    public function getStatus(): ?string
    {
        return $this->status;
    }

    public function setStatus(string $status = Status::OPEN)
    {
        $this->status = $status;
    }
}
