<?php

namespace Acms\Plugins\ShoppingCart\Entities;

/**
 * 送料設定
 */
class Shipping
{
    /**
     * 配送地域
     *
     * @var string
     */
    private $name;

    /**
     * 送料
     *
     * @var int|null
     */
    private $fee;

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(?string $name): void
    {
        $this->name = $name;
    }

    public function getFee(): ?int
    {
        return $this->fee;
    }

    public function setFee(?int $fee): void
    {
        $this->fee = $fee;
    }
}
