<?php

namespace Acms\Plugins\ShoppingCart\Entities;

/**
 * 消費税金額
 */
class TaxAmount
{
    /**
     * 税率
     *
     * @var double
     */
    private $taxRate;

    /**
     * 税抜き価格
     *
     * @var int
     */
    private $excludingTax;

    /**
     * 消費税合計
     *
     * @var int
     */
    private $tax;

    public function getTaxRate(): float
    {
        return $this->taxRate;
    }

    public function setTaxRate(?float $taxRate): void
    {
        $this->taxRate = $taxRate;
    }

    public function getExcludingTax(): int
    {
        return $this->excludingTax;
    }

    public function setExcludingTax(?int $excludingTax): void
    {
        $this->excludingTax = $excludingTax;
    }

    public function getTax(): int
    {
        return $this->tax;
    }

    public function setTax(?int $tax): void
    {
        $this->tax = $tax;
    }
}
