<?php

namespace Acms\Plugins\ShoppingCart\GET\Touch;

use App;
use ACMS_GET;

/**
 * カートに商品が存在するときのみ表示する
 */
class CartItem extends ACMS_GET
{
    public function get()
    {
        if (!defined('NO_CACHE_PAGE')) {
            define('NO_CACHE_PAGE', 1);
        }
        $cartRepository = App::make('shopping-cart.repository.cart');
        $cart = $cartRepository->find(BID);

        return empty($cart->getItems()) ? false : $this->tpl;
    }
}
