module.exports = {
  presets: [
    ['@babel/preset-env',
      {
        targets: {
          chrome: 60,
          firefox: 60,
          ios: 12,
          safari: 12
        },
        useBuiltIns: 'usage',
        corejs: 3,
      },
    ],
  ],
  plugins: [
    '@babel/plugin-transform-runtime',
  ],
  env: {
    production: {
      plugins: [
        'babel-plugin-minify-dead-code-elimination',
      ],
    },
  },
};
