import { onMounted, ref } from 'vue';

/**
 * Mounted state in ref.
 *
 */
export const useMounted = () => {
  const isMounted = ref(false);

  onMounted(() => {
    isMounted.value = true;
  });

  return isMounted;
};
