import { computed } from 'vue';
import { useStore } from 'vuex';

export default {
  name: 'ShoppingCartBadge',
  template: '#ShoppingCartBadge',
  setup() {
    const store = useStore();
    const quantitiesAmount = computed(() => store.getters['cart/quantitiesAmount']);

    return {
      quantitiesAmount,
    };
  },
};
