const getters = {
  items: (state) => state.cart.items,

  findItem: (state) => (eid) => getters.items(state).find((item) => parseInt(item.eid, 10) === eid),

  quantitiesAmount: (state) => getters.items(state).reduce((quantity, item) => quantity + parseInt(item.quantity, 10), 0),

  subtotal: (state) => state.cart.subtotal,

  taxes: (state) => state.cart.taxes,
};

export default getters;
