<?php

namespace Acms\Plugins\ShoppingCart\Plugins\Square\Exceptions;

use Exception;

/**
 * Square OAuth API利用時の例外
 */
class SquareOAuthException extends Exception
{
    private array $details = [];

    public function __construct(string $message, array $details = [])
    {
        parent::__construct($message);
        $this->details = $details;
    }

    public function getDetails(): array
    {
        return $this->details;
    }
}
