<?php

namespace Acms\Plugins\ShoppingCart\Plugins\Square\Webhook;

use Acms\Plugins\ShoppingCart\Plugins\Square\Services\OAuth\Contracts\AbstractSquareOAuthService;
use App;

class Action
{
    /**
     * @var AbstractSquareOAuthService
     */
    protected $SquareOAuthService;

    public function __construct()
    {
        $this->SquareOAuthService = App::make('square.service.oauth');
    }

    /**
     * ダッシュボードからOAuth認証が解除されたときの処理
     *
     * @return void
     */
    public function revokeOAuthToken(): void
    {
        $this->SquareOAuthService->revokeToken();
    }
}
