import { createPayments } from './createPayments';

const script = document.currentScript as HTMLOrSVGScriptElement;
const { applicationId, locationId } = script.dataset;

export default createPayments({
  applicationId: applicationId ?? '',
  locationId: locationId ?? '',
});

export * from './types';
